Agreement object with current status and updated metadata
const url = 'https://sender.api.kivra.com/v1/tenant/example/agreement/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v1/tenant/example/agreement/example \ --header 'Authorization: Bearer <token>'Get an agreement with current status and updated metadata
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The unique Key for a Tenant
The unique Key for an Agreement
Responses
Section titled “Responses”Agreement object with current status and updated metadata
object
Name of the agreement
The time when the agreement was created
The expiration time for the agreement, if the agreement is not completed before this date, it will no longer be available for signature
The current state of the agreement
The name of the tenant that created the agreement
The tenant key that created the agreement
The type of agreement as provided by the sender when the agreement was created
List of signatures
object
Signer’s unique SSN, format: YYYYMMDDnnnn
The real name of the signer, as provided by Mobile BankID service
The time when the signature was created
The unique ID of the signature
List of signers and delegates that are requested to sign the agreement
object
User’s unique SSN, format: YYYYMMDDnnnn
Name of the user
Email to be used to contact the user
The role of the user in this signature flow
Example
{ "subject": "Employment agreement", "created_at": "2019-04-09T13:42:26Z", "expires_at": "2019-05-09T13:42:26Z", "state": "active", "tenant_name": "Sender AB", "tenant": "tenant_154442474745511bbaaa5b44b391eae0513e2c55a0", "type": "agreement", "signatures": [ { "ssn": "197701032380", "real_name": "Jan-Erik Karlsson", "created_at": "2019-04-12T08:23:29Z", "order_ref": "d4ace777-6b91-4172-903e-39371ede89f1" }, { "ssn": "198112172385", "real_name": "Gustav Johan Larsson", "created_at": "2019-04-11T18:53:03Z", "order_ref": "f5bce777-0b42-4222-1f3e-ab523ede7a5f" } ], "parties": [ { "ssn": "197701032380", "name": "Jan-Erik Karlsson", "email": "je.karlsson.hem@email.nu", "role": "signer" }, { "ssn": "198112172385", "name": "Gustav Larsson", "email": "gustav123@mymail.com", "role": "delegate" } ]}